diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/SslContextCustomizer.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/SslContextCustomizer.java
deleted file mode 100644
index e2867e54bd1..00000000000
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/SslContextCustomizer.java
+++ /dev/null
@@ -1,33 +0,0 @@
-/*
- * Copyright 2012-2016 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-package org.springframework.boot.context.embedded;
-
-import javax.net.ssl.SSLContext;
-
-/**
- * Callback interface that can be used to customize a {@link SSLContext}.
- * @author Venil Noronha
- */
-public interface SslContextCustomizer {
-
-	/**
-	 * Customize the ssl context.
-	 * @param sslContext the {@link SSLContext} to customize.
-	 */
-	void customize(SSLContext sslContext);
-
-}
diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactory.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactory.java
index 4caf7844fd4..ffddec54ad5 100644
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactory.java
+++ b/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactory.java
@@ -91,7 +91,6 @@
  * @author Andrey Hihlovskiy
  * @author Andy Wilkinson
  * @author Eddú Meléndez
- * @author Venil Noronha
  * @see #setPort(int)
  * @see #setConfigurations(Collection)
  * @see JettyEmbeddedServletContainer
@@ -111,8 +110,6 @@
 
 	private List<JettyServerCustomizer> jettyServerCustomizers = new ArrayList<JettyServerCustomizer>();
 
-	private List<JettySslContextFactoryCustomizer> sslContextFactoryCustomizers = new ArrayList<JettySslContextFactoryCustomizer>();
-
 	private ResourceLoader resourceLoader;
 
 	/**
@@ -211,24 +208,17 @@ private SslServerConnectorFactory getSslServerConnectorFactory() {
 	 */
 	protected void configureSsl(SslContextFactory factory, Ssl ssl) {
 		factory.setProtocol(ssl.getProtocol());
-		if (this.sslContextFactoryCustomizers.isEmpty()) {
-			configureSslClientAuth(factory, ssl);
-			configureSslPasswords(factory, ssl);
-			factory.setCertAlias(ssl.getKeyAlias());
-			configureSslKeyStore(factory, ssl);
-			if (ssl.getCiphers() != null) {
-				factory.setIncludeCipherSuites(ssl.getCiphers());
-			}
-			if (ssl.getEnabledProtocols() != null) {
-				factory.setIncludeProtocols(ssl.getEnabledProtocols());
-			}
-			configureSslTrustStore(factory, ssl);
+		configureSslClientAuth(factory, ssl);
+		configureSslPasswords(factory, ssl);
+		factory.setCertAlias(ssl.getKeyAlias());
+		configureSslKeyStore(factory, ssl);
+		if (ssl.getCiphers() != null) {
+			factory.setIncludeCipherSuites(ssl.getCiphers());
 		}
-		else {
-			for (JettySslContextFactoryCustomizer customizer : this.sslContextFactoryCustomizers) {
-				customizer.customize(factory);
-			}
+		if (ssl.getEnabledProtocols() != null) {
+			factory.setIncludeProtocols(ssl.getEnabledProtocols());
 		}
+		configureSslTrustStore(factory, ssl);
 	}
 
 	private void configureSslClientAuth(SslContextFactory factory, Ssl ssl) {
@@ -524,36 +514,6 @@ public void addServerCustomizers(JettyServerCustomizer... customizers) {
 		this.jettyServerCustomizers.addAll(Arrays.asList(customizers));
 	}
 
-	/**
-	 * Set {@link JettySslContextFactoryCustomizer}s that should be applied to the {@link SslContextFactory}.
-	 * Calling this method will replace any existing customizers.
-	 * @param customizers the customizers to set.
-	 */
-	public void setSslContextFactoryCustomizers(
-			Collection<? extends JettySslContextFactoryCustomizer> customizers) {
-		Assert.notNull(customizers, "JettySslContextFactoryCustomizers must not be null");
-		this.sslContextFactoryCustomizers = new ArrayList<JettySslContextFactoryCustomizer>(customizers);
-	}
-
-	/**
-	 * Returns a mutable collection of the {@link JettySslContextFactoryCustomizer}s that will be
-	 * applied to the {@link SslContextFactory}.
-	 * @return the customizers that will be applied.
-	 */
-	public Collection<JettySslContextFactoryCustomizer> getSslContextFactoryCustomizers() {
-		return this.sslContextFactoryCustomizers;
-	}
-
-	/**
-	 * Add {@link JettySslContextFactoryCustomizer}s that should be used to customize the
-	 * {@link SslContextFactory}.
-	 * @param customizers the customizers to add.
-	 */
-	public void addSslContextFactoryCustomizers(JettySslContextFactoryCustomizer... customizers) {
-		Assert.notNull(customizers, "JettySslContextFactoryCustomizers must not be null");
-		this.sslContextFactoryCustomizers.addAll(Arrays.asList(customizers));
-	}
-
 	/**
 	 * Sets Jetty {@link Configuration}s that will be applied to the {@link WebAppContext}
 	 * before the server is created. Calling this method will replace any existing
diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettySslContextFactoryCustomizer.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettySslContextFactoryCustomizer.java
deleted file mode 100644
index 4f42d9e414c..00000000000
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/jetty/JettySslContextFactoryCustomizer.java
+++ /dev/null
@@ -1,33 +0,0 @@
-/*
- * Copyright 2012-2016 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-package org.springframework.boot.context.embedded.jetty;
-
-import org.eclipse.jetty.util.ssl.SslContextFactory;
-
-/**
- * Callback interface that can be used to customize a Jetty {@link SslContextFactory}.
- * @author Venil Noronha
- */
-public interface JettySslContextFactoryCustomizer {
-
-	/**
-	 * Customize the Jetty ssl context factory.
-	 * @param sslContextFactory the {@link SslContextFactory} to customize.
-	 */
-	void customize(SslContextFactory sslContextFactory);
-
-}
diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactory.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactory.java
index f9050a0be88..6292dffbb35 100644
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactory.java
+++ b/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactory.java
@@ -86,7 +86,6 @@
  * @author Stephane Nicoll
  * @author Andy Wilkinson
  * @author Eddú Meléndez
- * @author Venil Noronha
  * @see #setPort(int)
  * @see #setContextLifecycleListeners(Collection)
  * @see TomcatEmbeddedServletContainer
@@ -111,8 +110,6 @@
 
 	private List<TomcatContextCustomizer> tomcatContextCustomizers = new ArrayList<TomcatContextCustomizer>();
 
-	private List<TomcatSslProtocolCustomizer> sslProtocolCustomizers = new ArrayList<TomcatSslProtocolCustomizer>();
-
 	private List<TomcatConnectorCustomizer> tomcatConnectorCustomizers = new ArrayList<TomcatConnectorCustomizer>();
 
 	private List<Connector> additionalTomcatConnectors = new ArrayList<Connector>();
@@ -319,24 +316,17 @@ private void customizeCompression(Connector connector) {
 	protected void configureSsl(AbstractHttp11JsseProtocol<?> protocol, Ssl ssl) {
 		protocol.setSSLEnabled(true);
 		protocol.setSslProtocol(ssl.getProtocol());
-		if (this.sslProtocolCustomizers.isEmpty()) {
-			configureSslClientAuth(protocol, ssl);
-			protocol.setKeystorePass(ssl.getKeyStorePassword());
-			protocol.setKeyPass(ssl.getKeyPassword());
-			protocol.setKeyAlias(ssl.getKeyAlias());
-			configureSslKeyStore(protocol, ssl);
-			protocol.setCiphers(StringUtils.arrayToCommaDelimitedString(ssl.getCiphers()));
-			if (ssl.getEnabledProtocols() != null) {
-				protocol.setProperty("sslEnabledProtocols",
-						StringUtils.arrayToCommaDelimitedString(ssl.getEnabledProtocols()));
-			}
-			configureSslTrustStore(protocol, ssl);
-		}
-		else {
-			for (TomcatSslProtocolCustomizer sslProtocolCustomizer : this.sslProtocolCustomizers) {
-				sslProtocolCustomizer.customize(protocol);
-			}
+		configureSslClientAuth(protocol, ssl);
+		protocol.setKeystorePass(ssl.getKeyStorePassword());
+		protocol.setKeyPass(ssl.getKeyPassword());
+		protocol.setKeyAlias(ssl.getKeyAlias());
+		configureSslKeyStore(protocol, ssl);
+		protocol.setCiphers(StringUtils.arrayToCommaDelimitedString(ssl.getCiphers()));
+		if (ssl.getEnabledProtocols() != null) {
+			protocol.setProperty("sslEnabledProtocols",
+					StringUtils.arrayToCommaDelimitedString(ssl.getEnabledProtocols()));
 		}
+		configureSslTrustStore(protocol, ssl);
 	}
 
 	private void configureSslClientAuth(AbstractHttp11JsseProtocol<?> protocol, Ssl ssl) {
@@ -598,37 +588,6 @@ public void addContextCustomizers(
 		this.tomcatContextCustomizers.addAll(Arrays.asList(tomcatContextCustomizers));
 	}
 
-	/**
-	 * Set {@link TomcatSslProtocolCustomizer}s that should be applied to the
-	 * {@link AbstractHttp11JsseProtocol}. Calling this method will replace any existing
-	 * customizers.
-	 * @param customizers the customizers to set.
-	 */
-	public void setSslProtocolCustomizers(
-			Collection<? extends TomcatSslProtocolCustomizer> customizers) {
-		Assert.notNull(customizers, "TomcatSslProtocolCustomizers must not be null");
-		this.sslProtocolCustomizers = new ArrayList<TomcatSslProtocolCustomizer>(customizers);
-	}
-
-	/**
-	 * Returns a mutable collection of the {@link TomcatSslProtocolCustomizer}s that will be
-	 * applied to the {@link AbstractHttp11JsseProtocol}.
-	 * @return the customizers that will be applied.
-	 */
-	public Collection<TomcatSslProtocolCustomizer> getSslProtocolCustomizers() {
-		return this.sslProtocolCustomizers;
-	}
-
-	/**
-	 * Add {@link TomcatSslProtocolCustomizer}s that should be used to customize the
-	 * {@link AbstractHttp11JsseProtocol}.
-	 * @param customizers the customizers to add.
-	 */
-	public void addSslProtocolCustomizers(TomcatSslProtocolCustomizer... customizers) {
-		Assert.notNull(customizers, "TomcatSslProtocolCustomizers must not be null");
-		this.sslProtocolCustomizers.addAll(Arrays.asList(customizers));
-	}
-
 	/**
 	 * Set {@link TomcatConnectorCustomizer}s that should be applied to the Tomcat
 	 * {@link Connector} . Calling this method will replace any existing customizers.
diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatSslProtocolCustomizer.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatSslProtocolCustomizer.java
deleted file mode 100644
index ef6dc0ba3b5..00000000000
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/tomcat/TomcatSslProtocolCustomizer.java
+++ /dev/null
@@ -1,33 +0,0 @@
-/*
- * Copyright 2012-2016 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-package org.springframework.boot.context.embedded.tomcat;
-
-import org.apache.coyote.http11.AbstractHttp11JsseProtocol;
-
-/**
- * Callback interface that can be used to customize a Tomcat {@link AbstractHttp11JsseProtocol}.
- * @author Venil Noronha
- */
-public interface TomcatSslProtocolCustomizer {
-
-	/**
-	 * Customize the Tomcat protocol.
-	 * @param protocol the {@link AbstractHttp11JsseProtocol} to customize.
-	 */
-	void customize(AbstractHttp11JsseProtocol<?> protocol);
-
-}
diff --git a/spring-boot/src/main/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactory.java b/spring-boot/src/main/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactory.java
index bcfd1b54e1c..02ac6cb5fc9 100644
--- a/spring-boot/src/main/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactory.java
+++ b/spring-boot/src/main/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactory.java
@@ -75,7 +75,6 @@
 import org.springframework.boot.context.embedded.ServletContextInitializer;
 import org.springframework.boot.context.embedded.Ssl;
 import org.springframework.boot.context.embedded.Ssl.ClientAuth;
-import org.springframework.boot.context.embedded.SslContextCustomizer;
 import org.springframework.context.ResourceLoaderAware;
 import org.springframework.core.io.ResourceLoader;
 import org.springframework.util.Assert;
@@ -92,7 +91,6 @@
  * @author Andy Wilkinson
  * @author Marcos Barbero
  * @author Eddú Meléndez
- * @author Venil Noronha
  * @since 1.2.0
  * @see UndertowEmbeddedServletContainer
  */
@@ -103,8 +101,6 @@
 
 	private List<UndertowBuilderCustomizer> builderCustomizers = new ArrayList<UndertowBuilderCustomizer>();
 
-	private List<SslContextCustomizer> sslContextCustomizers = new ArrayList<SslContextCustomizer>();
-
 	private List<UndertowDeploymentInfoCustomizer> deploymentInfoCustomizers = new ArrayList<UndertowDeploymentInfoCustomizer>();
 
 	private ResourceLoader resourceLoader;
@@ -186,36 +182,6 @@ public void addBuilderCustomizers(UndertowBuilderCustomizer... customizers) {
 		this.builderCustomizers.addAll(Arrays.asList(customizers));
 	}
 
-	/**
-	 * Set {@link SslContextCustomizer}s that should be applied to the {@link SSLContext}.
-	 * Calling this method will replace any existing customizers.
-	 * @param customizers the customizers to set.
-	 */
-	public void setSslContextCustomizers(
-			Collection<? extends SslContextCustomizer> customizers) {
-		Assert.notNull(customizers, "SslContextCustomizers must not be null");
-		this.sslContextCustomizers = new ArrayList<SslContextCustomizer>(customizers);
-	}
-
-	/**
-	 * Returns a mutable collection of the {@link SslContextCustomizer}s that will be
-	 * applied to the {@link SSLContext}.
-	 * @return the customizers that will be applied.
-	 */
-	public Collection<SslContextCustomizer> getSslContextCustomizers() {
-		return this.sslContextCustomizers;
-	}
-
-	/**
-	 * Add {@link SslContextCustomizer}s that should be used to customize the
-	 * {@link SSLContext}.
-	 * @param customizers the customizers to add.
-	 */
-	public void addSslContextCustomizers(SslContextCustomizer... customizers) {
-		Assert.notNull(customizers, "SslContextCustomizers must not be null");
-		this.sslContextCustomizers.addAll(Arrays.asList(customizers));
-	}
-
 	/**
 	 * Set {@link UndertowDeploymentInfoCustomizer}s that should be applied to the
 	 * Undertow {@link DeploymentInfo}. Calling this method will replace any existing
@@ -290,14 +256,7 @@ private Builder createBuilder(int port) {
 	private void configureSsl(Ssl ssl, int port, Builder builder) {
 		try {
 			SSLContext sslContext = SSLContext.getInstance(ssl.getProtocol());
-			if (this.sslContextCustomizers.isEmpty()) {
-				sslContext.init(getKeyManagers(), getTrustManagers(), null);
-			}
-			else {
-				for (SslContextCustomizer sslContextCustomizer : this.sslContextCustomizers) {
-					sslContextCustomizer.customize(sslContext);
-				}
-			}
+			sslContext.init(getKeyManagers(), getTrustManagers(), null);
 			builder.addHttpsListener(port, getListenAddress(), sslContext);
 			builder.setSocketOption(Options.SSL_CLIENT_AUTH_MODE,
 					getSslClientAuthMode(ssl));
diff --git a/spring-boot/src/test/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactoryTests.java b/spring-boot/src/test/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactoryTests.java
index d2077ed5b17..803e4ce2f0c 100644
--- a/spring-boot/src/test/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactoryTests.java
+++ b/spring-boot/src/test/java/org/springframework/boot/context/embedded/jetty/JettyEmbeddedServletContainerFactoryTests.java
@@ -34,7 +34,6 @@
 import org.eclipse.jetty.server.handler.HandlerCollection;
 import org.eclipse.jetty.server.handler.HandlerWrapper;
 import org.eclipse.jetty.servlet.ServletHolder;
-import org.eclipse.jetty.util.ssl.SslContextFactory;
 import org.eclipse.jetty.webapp.Configuration;
 import org.eclipse.jetty.webapp.WebAppContext;
 import org.junit.Test;
@@ -59,7 +58,6 @@
  * @author Phillip Webb
  * @author Dave Syer
  * @author Andy Wilkinson
- * @author Venil Noronha
  */
 public class JettyEmbeddedServletContainerFactoryTests
 		extends AbstractEmbeddedServletContainerFactoryTests {
@@ -101,39 +99,6 @@ public void jettyCustomizations() throws Exception {
 		}
 	}
 
-	@Test
-	public void setNullSslContextFactoryCustomizersThrows() {
-		JettyEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("JettySslContextFactoryCustomizers must not be null");
-		factory.setSslContextFactoryCustomizers(null);
-	}
-
-	@Test
-	public void addNullSslContextFactoryCustomizersThrows() {
-		JettyEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("JettySslContextFactoryCustomizers must not be null");
-		factory.addSslContextFactoryCustomizers((JettySslContextFactoryCustomizer[]) null);
-	}
-
-	@Test
-	public void sslContextFactoryCustomizations() throws Exception {
-		JettyEmbeddedServletContainerFactory factory = getFactory();
-		JettySslContextFactoryCustomizer[] customizers = new JettySslContextFactoryCustomizer[4];
-		for (int i = 0; i < customizers.length; i++) {
-			customizers[i] = mock(JettySslContextFactoryCustomizer.class);
-		}
-		factory.setSsl(new Ssl());
-		factory.setSslContextFactoryCustomizers(Arrays.asList(customizers[0], customizers[1]));
-		factory.addSslContextFactoryCustomizers(customizers[2], customizers[3]);
-		this.container = factory.getEmbeddedServletContainer();
-		InOrder ordered = inOrder((Object[]) customizers);
-		for (JettySslContextFactoryCustomizer customizer : customizers) {
-			ordered.verify(customizer).customize((SslContextFactory) anyObject());
-		}
-	}
-
 	@Test
 	public void sessionTimeout() throws Exception {
 		JettyEmbeddedServletContainerFactory factory = getFactory();
diff --git a/spring-boot/src/test/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactoryTests.java b/spring-boot/src/test/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactoryTests.java
index 6e9011fbb02..efbfc9bd22b 100644
--- a/spring-boot/src/test/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactoryTests.java
+++ b/spring-boot/src/test/java/org/springframework/boot/context/embedded/tomcat/TomcatEmbeddedServletContainerFactoryTests.java
@@ -65,7 +65,6 @@
  * @author Phillip Webb
  * @author Dave Syer
  * @author Stephane Nicoll
- * @author Venil Noronha
  */
 public class TomcatEmbeddedServletContainerFactoryTests
 		extends AbstractEmbeddedServletContainerFactoryTests {
@@ -133,23 +132,6 @@ public void tomcatCustomizers() throws Exception {
 		}
 	}
 
-	@Test
-	public void tomcatSslProtocolCustomizers() throws Exception {
-		TomcatEmbeddedServletContainerFactory factory = getFactory();
-		TomcatSslProtocolCustomizer[] customizers = new TomcatSslProtocolCustomizer[4];
-		for (int i = 0; i < customizers.length; i++) {
-			customizers[i] = mock(TomcatSslProtocolCustomizer.class);
-		}
-		factory.setSsl(new Ssl());
-		factory.setSslProtocolCustomizers(Arrays.asList(customizers[0], customizers[1]));
-		factory.addSslProtocolCustomizers(customizers[2], customizers[3]);
-		this.container = factory.getEmbeddedServletContainer();
-		InOrder ordered = inOrder((Object[]) customizers);
-		for (TomcatSslProtocolCustomizer customizer : customizers) {
-			ordered.verify(customizer).customize((AbstractHttp11JsseProtocol<?>) anyObject());
-		}
-	}
-
 	@Test
 	public void tomcatConnectorCustomizers() throws Exception {
 		TomcatEmbeddedServletContainerFactory factory = getFactory();
@@ -237,22 +219,6 @@ public void addNullContextCustomizersThrows() {
 		factory.addContextCustomizers((TomcatContextCustomizer[]) null);
 	}
 
-	@Test
-	public void setNullTomcatSslProtocolCustomizersThrows() {
-		TomcatEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("TomcatSslProtocolCustomizers must not be null");
-		factory.setSslProtocolCustomizers(null);
-	}
-
-	@Test
-	public void addNullSslProtocolCustomizersThrows() {
-		TomcatEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("TomcatSslProtocolCustomizers must not be null");
-		factory.addSslProtocolCustomizers((TomcatSslProtocolCustomizer[]) null);
-	}
-
 	@Test
 	public void setNullTomcatConnectorCustomizersThrows() {
 		TomcatEmbeddedServletContainerFactory factory = getFactory();
diff --git a/spring-boot/src/test/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactoryTests.java b/spring-boot/src/test/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactoryTests.java
index 300e794558b..c29cb462d99 100644
--- a/spring-boot/src/test/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactoryTests.java
+++ b/spring-boot/src/test/java/org/springframework/boot/context/embedded/undertow/UndertowEmbeddedServletContainerFactoryTests.java
@@ -26,7 +26,6 @@
 import java.util.Set;
 import java.util.concurrent.atomic.AtomicReference;
 
-import javax.net.ssl.SSLContext;
 import javax.net.ssl.SSLHandshakeException;
 
 import io.undertow.Undertow.Builder;
@@ -42,8 +41,6 @@
 import org.springframework.boot.context.embedded.ExampleServlet;
 import org.springframework.boot.context.embedded.MimeMappings.Mapping;
 import org.springframework.boot.context.embedded.ServletRegistrationBean;
-import org.springframework.boot.context.embedded.Ssl;
-import org.springframework.boot.context.embedded.SslContextCustomizer;
 import org.springframework.http.HttpStatus;
 import org.springframework.test.util.ReflectionTestUtils;
 
@@ -58,7 +55,6 @@
  *
  * @author Ivan Sopov
  * @author Andy Wilkinson
- * @author Venil Noronha
  */
 public class UndertowEmbeddedServletContainerFactoryTests
 		extends AbstractEmbeddedServletContainerFactoryTests {
@@ -111,39 +107,6 @@ public void builderCustomizers() throws Exception {
 		}
 	}
 
-	@Test
-	public void setNullSslContextCustomizersThrows() {
-		UndertowEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("SslContextCustomizers must not be null");
-		factory.setSslContextCustomizers(null);
-	}
-
-	@Test
-	public void addNullAddSslContextCustomizersThrows() {
-		UndertowEmbeddedServletContainerFactory factory = getFactory();
-		this.thrown.expect(IllegalArgumentException.class);
-		this.thrown.expectMessage("SslContextCustomizers must not be null");
-		factory.addSslContextCustomizers((SslContextCustomizer[]) null);
-	}
-
-	@Test
-	public void sslContextCustomizers() throws Exception {
-		UndertowEmbeddedServletContainerFactory factory = getFactory();
-		SslContextCustomizer[] customizers = new SslContextCustomizer[4];
-		for (int i = 0; i < customizers.length; i++) {
-			customizers[i] = mock(SslContextCustomizer.class);
-		}
-		factory.setSsl(new Ssl());
-		factory.setSslContextCustomizers(Arrays.asList(customizers[0], customizers[1]));
-		factory.addSslContextCustomizers(customizers[2], customizers[3]);
-		this.container = factory.getEmbeddedServletContainer();
-		InOrder ordered = inOrder((Object[]) customizers);
-		for (SslContextCustomizer customizer : customizers) {
-			ordered.verify(customizer).customize((SSLContext) anyObject());
-		}
-	}
-
 	@Test
 	public void setNullDeploymentInfoCustomizersThrows() {
 		UndertowEmbeddedServletContainerFactory factory = getFactory();
